Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.monitor.model
Class TCPIPHL7DetailModel

    java.lang.Object
      com.stc.connector.tcpip.monitor.model.TCPIPDetailModel
          com.stc.connector.tcpip.monitor.model.TCPIPHL7DetailModel

    public class TCPIPHL7DetailModel

extends TCPIPDetailModel

Field Summary
`protected java.lang.String` | `previousHL7SequenceNumber`

Fields inherited from class com.stc.connector.tcpip.monitor.model.TCPIPDetailModel
`objectName, objectNameStr, previousExtSystemConnStatus, previousLastReceiveOperationTimestamp, previousLastSendOperationTimestamp`

Constructor Summary
`TCPIPHL7DetailModel(java.lang.String objectNameStr)`

Method Summary
`boolean` | `detailsHaveChanged()`
`java.util.HashMap` | `getDetailModelAsMap()`
`java.lang.String` | `getHL7SequenceNumber()`
`void` | `updatePreviousDetailsToCurrentDetails()`

Methods inherited from class com.stc.connector.tcpip.monitor.model.TCPIPDetailModel
`getAttribute, getExtSystemConnStatus, getLastReceiveOperationTimestamp, getLastSendOperationTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### previousHL7SequenceNumber

    protected java.lang.String previousHL7SequenceNumber

Constructor Detail

### TCPIPHL7DetailModel

    public TCPIPHL7DetailModel(java.lang.String objectNameStr)

Method Detail

### getDetailModelAsMap

    public java.util.HashMap getDetailModelAsMap()
                                          throws TCPIPModelException

  Overrides:
    `getDetailModelAsMap` in class `TCPIPDetailModel`
  Throws:
    `TCPIPModelException`

### updatePreviousDetailsToCurrentDetails

    public void updatePreviousDetailsToCurrentDetails()
                                               throws TCPIPModelException

  Overrides:
    `updatePreviousDetailsToCurrentDetails` in class `TCPIPDetailModel`
  Throws:
    `TCPIPModelException`

### detailsHaveChanged

    public boolean detailsHaveChanged()
                               throws TCPIPModelException

  Overrides:
    `detailsHaveChanged` in class `TCPIPDetailModel`
  Throws:
    `TCPIPModelException`

### getHL7SequenceNumber

    public java.lang.String getHL7SequenceNumber()
                                          throws TCPIPModelException

  Throws:
    `TCPIPModelException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD